pascal-netbsd : pascal.yy.c
	cp pascal.yy.c.bsd pascal.yy.c
	cp pascal.tab.c.bsd pascal.tab.c
	cp pascal.tab.h.bsd pascal.tab.h
	gcc -c -std=c99 -Wall -Wextra -Werror -O3 pascal.yy.c
	gcc -c -std=c99 -Wall -Wextra -Werror -O3 pascal.tab.c
	gcc -opascal pascal.yy.o pascal.tab.o

pascal : pascal.yy.o pascal.tab.o
	gcc -opascal pascal.yy.o pascal.tab.o

pascal.yy.o : pascal.yy.c
	gcc -c -std=c99 -Wall -Wextra -Werror -O3 pascal.yy.c

pascal.tab.o : pascal.tab.c
	gcc -c -std=c99 -Wall -Wextra -Werror -O3 pascal.tab.c

pascal.yy.c : pascal.tab.c pascal.l
	flex -opascal.yy.c pascal.l

pascal.tab.c : pascal.y
	bison -d pascal.y

clean :
	rm -f pascal.tab.h pascal.tab.c pascal.yy.c *.o *~
