%{
/*
 * g10.l
 *
 * Lexerspezifikation für g10.y
 */

#include <stdio.h>
#include <stdlib.h>
#include "g10.tab.h"


int line_no = 1;

%}

%option always-interactive

%%

"a1"	return(a1);
"a2"	return(a2);
"a3"	return(a3);
"a4"	return(a4);
"a5"	return(a5);
"a6"	return(a6);
"a7"	return(a7);
"a8"	return(a8);
"a9"	return(a9);
"a10"	return(a10);

"b1"	return(b1);
"b2"	return(b2);
"b3"	return(b3);
"b4"	return(b4);
"b5"	return(b5);
"b6"	return(b6);
"b7"	return(b7);
"b8"	return(b8);
"b9"	return(b9);
"b10"	return(b10);
    
[ \t\f]    ;

\n    line_no++;

.    { fprintf (stderr,
    "'%c' (0%o): illegal charcter at line %d\n",
     yytext[0], yytext[0], line_no);
    }

%%


int
yywrap ()
{
 return (1);
}


