/* Grammar taken from E. Ukkonen: Upper Bounds on the Size of LR(k) Parsers.
 * Here: Grammar G_20.
 */
%{
#include <stdio.h>

int yylex (void); // forward

void
yyerror (char const *s)
{
  fprintf(stderr, "%s\n", s);
}

%}

%token a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 a12 a13 a14 a15 a16 a17 a18 a19 a20
%token b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14 b15 b16 b17 b18 b19 b20
%start S

%%

S :
    A1 {}
  | A2 {}
  | A3 {}
  | A4 {}
  | A5 {}
  | A6 {}
  | A7 {}
  | A8 {}
  | A9 {}
  | A10 {}
  | A11 {}
  | A12 {}
  | A13 {}
  | A14 {}
  | A15 {}
  | A16 {}
  | A17 {}
  | A18 {}
  | A19 {}
  | A20 {}
  ;

A1 :
    a1 B1 {}
  | b1 {}
  | a2 A1 {}
  | a3 A1 {}
  | a4 A1 {}
  | a5 A1 {}
  | a6 A1 {}
  | a7 A1 {}
  | a8 A1 {}
  | a9 A1 {}
  | a10 A1 {}
  | a11 A1 {}
  | a12 A1 {}
  | a13 A1 {}
  | a14 A1 {}
  | a15 A1 {}
  | a16 A1 {}
  | a17 A1 {}
  | a18 A1 {}
  | a19 A1 {}
  | a20 A1 {}
  ;

A2 :
    a2 B2 {}
  | b2 {}
  | a1 A2 {}
  | a3 A2 {}
  | a4 A2 {}
  | a5 A2 {}
  | a6 A2 {}
  | a7 A2 {}
  | a8 A2 {}
  | a9 A2 {}
  | a10 A2 {}
  | a11 A2 {}
  | a12 A2 {}
  | a13 A2 {}
  | a14 A2 {}
  | a15 A2 {}
  | a16 A2 {}
  | a17 A2 {}
  | a18 A2 {}
  | a19 A2 {}
  | a20 A2 {}
  ;

A3 :
    a3 B3 {}
  | b3 {}
  | a1 A3 {}
  | a2 A3 {}
  | a4 A3 {}
  | a5 A3 {}
  | a6 A3 {}
  | a7 A3 {}
  | a8 A3 {}
  | a9 A3 {}
  | a10 A3 {}
  | a11 A3 {}
  | a12 A3 {}
  | a13 A3 {}
  | a14 A3 {}
  | a15 A3 {}
  | a16 A3 {}
  | a17 A3 {}
  | a18 A3 {}
  | a19 A3 {}
  | a20 A3 {}
  ;

A4 :
    a4 B4 {}
  | b4 {}
  | a1 A4 {}
  | a2 A4 {}
  | a3 A4 {}
  | a5 A4 {}
  | a6 A4 {}
  | a7 A4 {}
  | a8 A4 {}
  | a9 A4 {}
  | a10 A4 {}
  | a11 A4 {}
  | a12 A4 {}
  | a13 A4 {}
  | a14 A4 {}
  | a15 A4 {}
  | a16 A4 {}
  | a17 A4 {}
  | a18 A4 {}
  | a19 A4 {}
  | a20 A4 {}
  ;

A5 :
    a5 B5 {}
  | b5 {}
  | a1 A5 {}
  | a2 A5 {}
  | a3 A5 {}
  | a4 A5 {}
  | a6 A5 {}
  | a7 A5 {}
  | a8 A5 {}
  | a9 A5 {}
  | a10 A5 {}
  | a11 A5 {}
  | a12 A5 {}
  | a13 A5 {}
  | a14 A5 {}
  | a15 A5 {}
  | a16 A5 {}
  | a17 A5 {}
  | a18 A5 {}
  | a19 A5 {}
  | a20 A5 {}
  ;

A6 :
    a6 B6 {}
  | b6 {}
  | a1 A6 {}
  | a2 A6 {}
  | a3 A6 {}
  | a4 A6 {}
  | a5 A6 {}
  | a7 A6 {}
  | a8 A6 {}
  | a9 A6 {}
  | a10 A6 {}
  | a11 A6 {}
  | a12 A6 {}
  | a13 A6 {}
  | a14 A6 {}
  | a15 A6 {}
  | a16 A6 {}
  | a17 A6 {}
  | a18 A6 {}
  | a19 A6 {}
  | a20 A6 {}
  ;

A7 :
    a7 B7 {}
  | b7 {}
  | a1 A7 {}
  | a2 A7 {}
  | a3 A7 {}
  | a4 A7 {}
  | a5 A7 {}
  | a6 A7 {}
  | a8 A7 {}
  | a9 A7 {}
  | a10 A7 {}
  | a11 A7 {}
  | a12 A7 {}
  | a13 A7 {}
  | a14 A7 {}
  | a15 A7 {}
  | a16 A7 {}
  | a17 A7 {}
  | a18 A7 {}
  | a19 A7 {}
  | a20 A7 {}
  ;

A8 :
    a8 B8 {}
  | b8 {}
  | a1 A8 {}
  | a2 A8 {}
  | a3 A8 {}
  | a4 A8 {}
  | a5 A8 {}
  | a6 A8 {}
  | a7 A8 {}
  | a9 A8 {}
  | a10 A8 {}
  | a11 A8 {}
  | a12 A8 {}
  | a13 A8 {}
  | a14 A8 {}
  | a15 A8 {}
  | a16 A8 {}
  | a17 A8 {}
  | a18 A8 {}
  | a19 A8 {}
  | a20 A8 {}
  ;

A9 :
    a9 B9 {}
  | b9 {}
  | a1 A9 {}
  | a2 A9 {}
  | a3 A9 {}
  | a4 A9 {}
  | a5 A9 {}
  | a6 A9 {}
  | a7 A9 {}
  | a8 A9 {}
  | a10 A9 {}
  | a11 A9 {}
  | a12 A9 {}
  | a13 A9 {}
  | a14 A9 {}
  | a15 A9 {}
  | a16 A9 {}
  | a17 A9 {}
  | a18 A9 {}
  | a19 A9 {}
  | a20 A9 {}
  ;

A10 :
    a10 B10 {}
  | b10 {}
  | a1 A10 {}
  | a2 A10 {}
  | a3 A10 {}
  | a4 A10 {}
  | a5 A10 {}
  | a6 A10 {}
  | a7 A10 {}
  | a8 A10 {}
  | a9 A10 {}
  | a11 A10 {}
  | a12 A10 {}
  | a13 A10 {}
  | a14 A10 {}
  | a15 A10 {}
  | a16 A10 {}
  | a17 A10 {}
  | a18 A10 {}
  | a19 A10 {}
  | a20 A10 {}
  ;

A11 :
    a11 B11 {}
  | b11 {}
  | a1 A11 {}
  | a2 A11 {}
  | a3 A11 {}
  | a4 A11 {}
  | a5 A11 {}
  | a6 A11 {}
  | a7 A11 {}
  | a8 A11 {}
  | a9 A11 {}
  | a10 A11 {}
  | a12 A11 {}
  | a13 A11 {}
  | a14 A11 {}
  | a15 A11 {}
  | a16 A11 {}
  | a17 A11 {}
  | a18 A11 {}
  | a19 A11 {}
  | a20 A11 {}
  ;

A12 :
    a12 B12 {}
  | b12 {}
  | a1 A12 {}
  | a2 A12 {}
  | a3 A12 {}
  | a4 A12 {}
  | a5 A12 {}
  | a6 A12 {}
  | a7 A12 {}
  | a8 A12 {}
  | a9 A12 {}
  | a10 A12 {}
  | a11 A12 {}
  | a13 A12 {}
  | a14 A12 {}
  | a15 A12 {}
  | a16 A12 {}
  | a17 A12 {}
  | a18 A12 {}
  | a19 A12 {}
  | a20 A12 {}
  ;

A13 :
    a13 B13 {}
  | b13 {}
  | a1 A13 {}
  | a2 A13 {}
  | a3 A13 {}
  | a4 A13 {}
  | a5 A13 {}
  | a6 A13 {}
  | a7 A13 {}
  | a8 A13 {}
  | a9 A13 {}
  | a10 A13 {}
  | a11 A13 {}
  | a12 A13 {}
  | a14 A13 {}
  | a15 A13 {}
  | a16 A13 {}
  | a17 A13 {}
  | a18 A13 {}
  | a19 A13 {}
  | a20 A13 {}
  ;

A14 :
    a14 B14 {}
  | b14 {}
  | a1 A14 {}
  | a2 A14 {}
  | a3 A14 {}
  | a4 A14 {}
  | a5 A14 {}
  | a6 A14 {}
  | a7 A14 {}
  | a8 A14 {}
  | a9 A14 {}
  | a10 A14 {}
  | a11 A14 {}
  | a12 A14 {}
  | a13 A14 {}
  | a15 A14 {}
  | a16 A14 {}
  | a17 A14 {}
  | a18 A14 {}
  | a19 A14 {}
  | a20 A14 {}
  ;

A15 :
    a15 B15 {}
  | b15 {}
  | a1 A15 {}
  | a2 A15 {}
  | a3 A15 {}
  | a4 A15 {}
  | a5 A15 {}
  | a6 A15 {}
  | a7 A15 {}
  | a8 A15 {}
  | a9 A15 {}
  | a10 A15 {}
  | a11 A15 {}
  | a12 A15 {}
  | a13 A15 {}
  | a14 A15 {}
  | a16 A15 {}
  | a17 A15 {}
  | a18 A15 {}
  | a19 A15 {}
  | a20 A15 {}
  ;

A16 :
    a16 B16 {}
  | b16 {}
  | a1 A16 {}
  | a2 A16 {}
  | a3 A16 {}
  | a4 A16 {}
  | a5 A16 {}
  | a6 A16 {}
  | a7 A16 {}
  | a8 A16 {}
  | a9 A16 {}
  | a10 A16 {}
  | a11 A16 {}
  | a12 A16 {}
  | a13 A16 {}
  | a14 A16 {}
  | a15 A16 {}
  | a17 A16 {}
  | a18 A16 {}
  | a19 A16 {}
  | a20 A16 {}
  ;

A17 :
    a17 B17 {}
  | b17 {}
  | a1 A17 {}
  | a2 A17 {}
  | a3 A17 {}
  | a4 A17 {}
  | a5 A17 {}
  | a6 A17 {}
  | a7 A17 {}
  | a8 A17 {}
  | a9 A17 {}
  | a10 A17 {}
  | a11 A17 {}
  | a12 A17 {}
  | a13 A17 {}
  | a14 A17 {}
  | a15 A17 {}
  | a16 A17 {}
  | a18 A17 {}
  | a19 A17 {}
  | a20 A17 {}
  ;

A18 :
    a18 B18 {}
  | b18 {}
  | a1 A18 {}
  | a2 A18 {}
  | a3 A18 {}
  | a4 A18 {}
  | a5 A18 {}
  | a6 A18 {}
  | a7 A18 {}
  | a8 A18 {}
  | a9 A18 {}
  | a10 A18 {}
  | a11 A18 {}
  | a12 A18 {}
  | a13 A18 {}
  | a14 A18 {}
  | a15 A18 {}
  | a16 A18 {}
  | a17 A18 {}
  | a19 A18 {}
  | a20 A18 {}
  ;

A19 :
    a19 B19 {}
  | b19 {}
  | a1 A19 {}
  | a2 A19 {}
  | a3 A19 {}
  | a4 A19 {}
  | a5 A19 {}
  | a6 A19 {}
  | a7 A19 {}
  | a8 A19 {}
  | a9 A19 {}
  | a10 A19 {}
  | a11 A19 {}
  | a12 A19 {}
  | a13 A19 {}
  | a14 A19 {}
  | a15 A19 {}
  | a16 A19 {}
  | a17 A19 {}
  | a18 A19 {}
  | a20 A19 {}
  ;

A20 :
    a20 B20 {}
  | b20 {}
  | a1 A20 {}
  | a2 A20 {}
  | a3 A20 {}
  | a4 A20 {}
  | a5 A20 {}
  | a6 A20 {}
  | a7 A20 {}
  | a8 A20 {}
  | a9 A20 {}
  | a10 A20 {}
  | a11 A20 {}
  | a12 A20 {}
  | a13 A20 {}
  | a14 A20 {}
  | a15 A20 {}
  | a16 A20 {}
  | a17 A20 {}
  | a18 A20 {}
  | a19 A20 {}
  ;

B1 :
    b1 {}
  | a1 B1 {}
  | a2 B1 {}
  | a3 B1 {}
  | a4 B1 {}
  | a5 B1 {}
  | a6 B1 {}
  | a7 B1 {}
  | a8 B1 {}
  | a9 B1 {}
  | a10 B1 {}
  | a11 B1 {}
  | a12 B1 {}
  | a13 B1 {}
  | a14 B1 {}
  | a15 B1 {}
  | a16 B1 {}
  | a17 B1 {}
  | a18 B1 {}
  | a19 B1 {}
  | a20 B1 {}
  ;

B2 :
    b2 {}
  | a1 B2 {}
  | a2 B2 {}
  | a3 B2 {}
  | a4 B2 {}
  | a5 B2 {}
  | a6 B2 {}
  | a7 B2 {}
  | a8 B2 {}
  | a9 B2 {}
  | a10 B2 {}
  | a11 B2 {}
  | a12 B2 {}
  | a13 B2 {}
  | a14 B2 {}
  | a15 B2 {}
  | a16 B2 {}
  | a17 B2 {}
  | a18 B2 {}
  | a19 B2 {}
  | a20 B2 {}
  ;

B3 :
    b3 {}
  | a1 B3 {}
  | a2 B3 {}
  | a3 B3 {}
  | a4 B3 {}
  | a5 B3 {}
  | a6 B3 {}
  | a7 B3 {}
  | a8 B3 {}
  | a9 B3 {}
  | a10 B3 {}
  | a11 B3 {}
  | a12 B3 {}
  | a13 B3 {}
  | a14 B3 {}
  | a15 B3 {}
  | a16 B3 {}
  | a17 B3 {}
  | a18 B3 {}
  | a19 B3 {}
  | a20 B3 {}
  ;

B4 :
    b4 {}
  | a1 B4 {}
  | a2 B4 {}
  | a3 B4 {}
  | a4 B4 {}
  | a5 B4 {}
  | a6 B4 {}
  | a7 B4 {}
  | a8 B4 {}
  | a9 B4 {}
  | a10 B4 {}
  | a11 B4 {}
  | a12 B4 {}
  | a13 B4 {}
  | a14 B4 {}
  | a15 B4 {}
  | a16 B4 {}
  | a17 B4 {}
  | a18 B4 {}
  | a19 B4 {}
  | a20 B4 {}
  ;

B5 :
    b5 {}
  | a1 B5 {}
  | a2 B5 {}
  | a3 B5 {}
  | a4 B5 {}
  | a5 B5 {}
  | a6 B5 {}
  | a7 B5 {}
  | a8 B5 {}
  | a9 B5 {}
  | a10 B5 {}
  | a11 B5 {}
  | a12 B5 {}
  | a13 B5 {}
  | a14 B5 {}
  | a15 B5 {}
  | a16 B5 {}
  | a17 B5 {}
  | a18 B5 {}
  | a19 B5 {}
  | a20 B5 {}
  ;

B6 :
    b6 {}
  | a1 B6 {}
  | a2 B6 {}
  | a3 B6 {}
  | a4 B6 {}
  | a5 B6 {}
  | a6 B6 {}
  | a7 B6 {}
  | a8 B6 {}
  | a9 B6 {}
  | a10 B6 {}
  | a11 B6 {}
  | a12 B6 {}
  | a13 B6 {}
  | a14 B6 {}
  | a15 B6 {}
  | a16 B6 {}
  | a17 B6 {}
  | a18 B6 {}
  | a19 B6 {}
  | a20 B6 {}
  ;

B7 :
    b7 {}
  | a1 B7 {}
  | a2 B7 {}
  | a3 B7 {}
  | a4 B7 {}
  | a5 B7 {}
  | a6 B7 {}
  | a7 B7 {}
  | a8 B7 {}
  | a9 B7 {}
  | a10 B7 {}
  | a11 B7 {}
  | a12 B7 {}
  | a13 B7 {}
  | a14 B7 {}
  | a15 B7 {}
  | a16 B7 {}
  | a17 B7 {}
  | a18 B7 {}
  | a19 B7 {}
  | a20 B7 {}
  ;

B8 :
    b8 {}
  | a1 B8 {}
  | a2 B8 {}
  | a3 B8 {}
  | a4 B8 {}
  | a5 B8 {}
  | a6 B8 {}
  | a7 B8 {}
  | a8 B8 {}
  | a9 B8 {}
  | a10 B8 {}
  | a11 B8 {}
  | a12 B8 {}
  | a13 B8 {}
  | a14 B8 {}
  | a15 B8 {}
  | a16 B8 {}
  | a17 B8 {}
  | a18 B8 {}
  | a19 B8 {}
  | a20 B8 {}
  ;

B9 :
    b9 {}
  | a1 B9 {}
  | a2 B9 {}
  | a3 B9 {}
  | a4 B9 {}
  | a5 B9 {}
  | a6 B9 {}
  | a7 B9 {}
  | a8 B9 {}
  | a9 B9 {}
  | a10 B9 {}
  | a11 B9 {}
  | a12 B9 {}
  | a13 B9 {}
  | a14 B9 {}
  | a15 B9 {}
  | a16 B9 {}
  | a17 B9 {}
  | a18 B9 {}
  | a19 B9 {}
  | a20 B9 {}
  ;

B10 :
    b10 {}
  | a1 B10 {}
  | a2 B10 {}
  | a3 B10 {}
  | a4 B10 {}
  | a5 B10 {}
  | a6 B10 {}
  | a7 B10 {}
  | a8 B10 {}
  | a9 B10 {}
  | a10 B10 {}
  | a11 B10 {}
  | a12 B10 {}
  | a13 B10 {}
  | a14 B10 {}
  | a15 B10 {}
  | a16 B10 {}
  | a17 B10 {}
  | a18 B10 {}
  | a19 B10 {}
  | a20 B10 {}
  ;

B11 :
    b11 {}
  | a1 B11 {}
  | a2 B11 {}
  | a3 B11 {}
  | a4 B11 {}
  | a5 B11 {}
  | a6 B11 {}
  | a7 B11 {}
  | a8 B11 {}
  | a9 B11 {}
  | a10 B11 {}
  | a11 B11 {}
  | a12 B11 {}
  | a13 B11 {}
  | a14 B11 {}
  | a15 B11 {}
  | a16 B11 {}
  | a17 B11 {}
  | a18 B11 {}
  | a19 B11 {}
  | a20 B11 {}
  ;

B12 :
    b12 {}
  | a1 B12 {}
  | a2 B12 {}
  | a3 B12 {}
  | a4 B12 {}
  | a5 B12 {}
  | a6 B12 {}
  | a7 B12 {}
  | a8 B12 {}
  | a9 B12 {}
  | a10 B12 {}
  | a11 B12 {}
  | a12 B12 {}
  | a13 B12 {}
  | a14 B12 {}
  | a15 B12 {}
  | a16 B12 {}
  | a17 B12 {}
  | a18 B12 {}
  | a19 B12 {}
  | a20 B12 {}
  ;

B13 :
    b13 {}
  | a1 B13 {}
  | a2 B13 {}
  | a3 B13 {}
  | a4 B13 {}
  | a5 B13 {}
  | a6 B13 {}
  | a7 B13 {}
  | a8 B13 {}
  | a9 B13 {}
  | a10 B13 {}
  | a11 B13 {}
  | a12 B13 {}
  | a13 B13 {}
  | a14 B13 {}
  | a15 B13 {}
  | a16 B13 {}
  | a17 B13 {}
  | a18 B13 {}
  | a19 B13 {}
  | a20 B13 {}
  ;

B14 :
    b14 {}
  | a1 B14 {}
  | a2 B14 {}
  | a3 B14 {}
  | a4 B14 {}
  | a5 B14 {}
  | a6 B14 {}
  | a7 B14 {}
  | a8 B14 {}
  | a9 B14 {}
  | a10 B14 {}
  | a11 B14 {}
  | a12 B14 {}
  | a13 B14 {}
  | a14 B14 {}
  | a15 B14 {}
  | a16 B14 {}
  | a17 B14 {}
  | a18 B14 {}
  | a19 B14 {}
  | a20 B14 {}
  ;

B15 :
    b15 {}
  | a1 B15 {}
  | a2 B15 {}
  | a3 B15 {}
  | a4 B15 {}
  | a5 B15 {}
  | a6 B15 {}
  | a7 B15 {}
  | a8 B15 {}
  | a9 B15 {}
  | a10 B15 {}
  | a11 B15 {}
  | a12 B15 {}
  | a13 B15 {}
  | a14 B15 {}
  | a15 B15 {}
  | a16 B15 {}
  | a17 B15 {}
  | a18 B15 {}
  | a19 B15 {}
  | a20 B15 {}
  ;

B16 :
    b16 {}
  | a1 B16 {}
  | a2 B16 {}
  | a3 B16 {}
  | a4 B16 {}
  | a5 B16 {}
  | a6 B16 {}
  | a7 B16 {}
  | a8 B16 {}
  | a9 B16 {}
  | a10 B16 {}
  | a11 B16 {}
  | a12 B16 {}
  | a13 B16 {}
  | a14 B16 {}
  | a15 B16 {}
  | a16 B16 {}
  | a17 B16 {}
  | a18 B16 {}
  | a19 B16 {}
  | a20 B16 {}
  ;

B17 :
    b17 {}
  | a1 B17 {}
  | a2 B17 {}
  | a3 B17 {}
  | a4 B17 {}
  | a5 B17 {}
  | a6 B17 {}
  | a7 B17 {}
  | a8 B17 {}
  | a9 B17 {}
  | a10 B17 {}
  | a11 B17 {}
  | a12 B17 {}
  | a13 B17 {}
  | a14 B17 {}
  | a15 B17 {}
  | a16 B17 {}
  | a17 B17 {}
  | a18 B17 {}
  | a19 B17 {}
  | a20 B17 {}
  ;

B18 :
    b18 {}
  | a1 B18 {}
  | a2 B18 {}
  | a3 B18 {}
  | a4 B18 {}
  | a5 B18 {}
  | a6 B18 {}
  | a7 B18 {}
  | a8 B18 {}
  | a9 B18 {}
  | a10 B18 {}
  | a11 B18 {}
  | a12 B18 {}
  | a13 B18 {}
  | a14 B18 {}
  | a15 B18 {}
  | a16 B18 {}
  | a17 B18 {}
  | a18 B18 {}
  | a19 B18 {}
  | a20 B18 {}
  ;

B19 :
    b19 {}
  | a1 B19 {}
  | a2 B19 {}
  | a3 B19 {}
  | a4 B19 {}
  | a5 B19 {}
  | a6 B19 {}
  | a7 B19 {}
  | a8 B19 {}
  | a9 B19 {}
  | a10 B19 {}
  | a11 B19 {}
  | a12 B19 {}
  | a13 B19 {}
  | a14 B19 {}
  | a15 B19 {}
  | a16 B19 {}
  | a17 B19 {}
  | a18 B19 {}
  | a19 B19 {}
  | a20 B19 {}
  ;

B20 :
    b20 {}
  | a1 B20 {}
  | a2 B20 {}
  | a3 B20 {}
  | a4 B20 {}
  | a5 B20 {}
  | a6 B20 {}
  | a7 B20 {}
  | a8 B20 {}
  | a9 B20 {}
  | a10 B20 {}
  | a11 B20 {}
  | a12 B20 {}
  | a13 B20 {}
  | a14 B20 {}
  | a15 B20 {}
  | a16 B20 {}
  | a17 B20 {}
  | a18 B20 {}
  | a19 B20 {}
  | a20 B20 {}
  ;

%%

int
main (void)
{
  return yyparse()
}
