/* Grammar taken from E. Ukkonen: Upper Bounds on the Size of LR(k) Parsers.
 * Here: Grammar G_1.
 */
%{
#include <stdio.h>

int yylex (void); // forward

void
yyerror (char const *s)
{
  fprintf(stderr, "%s\n", s);
}

%}

%token a1
%token b1
%start S

%%

S :
    A1 {}
  ;

A1 :
    a1 B1 {}
  | b1 {}
  ;

B1 :
    b1 {}
  | a1 B1 {}
  ;

%%

int
main (void)
{
  return yyparse();
}
